configure: WARNING: unrecognized options

Roberto Nunnari roberto.nunnari@supsi.ch
Tue Jul 9 15:02:00 GMT 2013


Hi all.

First of all let me say I'm new to gcc building.. I've been trying 
building gcc 4.8.1 for over a full day but keep failing.

I built/installed dependencies and got to the gcc configure step.. and 
here's where it fails.. I get:

configure: WARNING: unrecognized options: --with-gmp, --with-isl, 
--with-cloog


So.. a bit about my environment:

[root@node03 new-gcc]# uname -rms
Linux 2.6.18-274.el5 x86_64

[root@node03 new-gcc]# cat /etc/redhat-release
CentOS release 5.7 (Final)

[root@node03 new-gcc]# gcc --version
gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-51)


and here's what I've done:

build/install gcc 4.8.1
==============
# mkdir /root/new-gcc && cd /root/new-gcc

// get gcc
# wget ftp://ftp.gnu.org/gnu/gcc/gcc-4.8.1/gcc-4.8.1.tar.bz2

// install dependences available from standard centos distribution
# rpm -ihv 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/gcc-gnat-4.1.2-51.el5.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/libgnat-4.1.2-51.el5.x86_64.rpm
# rpm -ihv 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/gperf-3.0.1-7.2.2.x86_64.rpm
# rpm -ihv 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/expect-devel-5.43.0-5.1.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/expect-5.43.0-5.1.x86_64.rpm
# rpm -ihv 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/guile-devel-1.8.0-8.20060831cvs.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/guile-1.8.0-8.20060831cvs.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/libtool-ltdl-1.5.22-7.el5_4.x86_64.rpm
# rpm -ihv 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/texinfo-tex-4.8-14.el5.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/tetex-3.0-33.13.el5.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/tetex-fonts-3.0-33.13.el5.x86_64.rpm 
/opt/cluster/centos/centos5/x86_64/u7/CentOS/dialog-1.0.20051107-1.2.2.x86_64.rpm


// get other the dependences:
# wget ftp://ftp.gmplib.org/pub/gmp/gmp-5.1.2.tar.bz2
# wget http://www.mpfr.org/mpfr-current/mpfr-3.1.2.tar.bz2
# wget http://www.multiprecision.org/mpc/download/mpc-1.0.1.tar.gz
# wget ftp://gcc.gnu.org/pub/gcc/infrastructure/isl-0.11.1.tar.bz2
# wget ftp://gcc.gnu.org/pub/gcc/infrastructure/cloog-0.18.0.tar.gz
# wget ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.64.tar.bz2
# wget ftp://mirror.switch.ch/mirror/gnu/dejagnu/dejagnu-1.4.4.tar.gz
# wget http://ftp.gnu.org/gnu/autogen/rel5.17.4/autogen-5.17.4.tar.gz


// extract gcc
# tar xjf gcc-4.8.1.tar.bz2


// ISL
# tar xzf isl-0.11.1.tar.bz2
# cd isl-0.11.1
# ./configure --prefix=/opt/isl
# make
# make install


// GMP
# tar xjf gmp-5.1.2.tar.bz2
# cd gmp-5.1.2
# ./configure --prefix=/opt/gmp
# make
# make install


// CLOOG
# tar xzf cloog-0.18.0.tar.gz
# ./configure --prefix=/opt/cloog --with-isl=system 
--with-isl-prefix=/opt/isl --with-gmp=system --with-gmp-prefix=/opt/gmp 
--with-bits=gmp
# make
# make install


// MPFR
# tar xjf mpfr-3.1.2.tar.bz2
# mv mpfr-3.1.2 gcc-4.8.1/mpfr

// MPC
# tar xzf mpc-1.0.1.tar.gz
# mv mpc-1.0.1 gcc-4.8.1/mpc


// autoconf 2.64
# tar xjf autoconf-2.64.tar.bz2
# cd autoconf-2.64
# ./configure --prefix=/opt/autoconf-2.64
# make
# make install
# export PATH=/opt/autoconf-2.64/bin:$PATH


// GNU m4
# wget ftp://ftp.gnu.org/gnu/m4/m4-1.4.6.tar.bz2
# tar xjf m4-1.4.6.tar.bz2
# cd m4-1.4.6
# ./configure --prefix=/opt/m4-1.4.6
# make
# make install
# export PATH=/opt/m4-1.4.6/bin:$PATH


// DejaGNU
# tar xzf dejagnu-1.4.4.tar.gz
# cd dejagnu-1.4.4
# ./configure --prefix=/opt/dejaGNU
# make
# make install
# export PATH=/opt/dejaGNU/bin:$PATH


// Autogen
# tar tzf autogen-5.17.4.tar.gz
# cd autogen-5.17.4
# ./configure --prefix=/opt/autogen
# make
# make install
# export PATH=/opt/autogen/bin:$PATH


// ldconfig
# cat /etc/ld.so.conf.d/altro.conf
/opt/gmp/lib
/opt/cloog/lib
/opt/autogen/lib
# ldconfig


// configure gcc
# mkdir gcc-build && cd gcc-build
# ../gcc-4.8.1/gcc/configure --prefix=/opt/gcc481 
--enable-languages=c,fortran --with-gmp=/opt/gmp --with-isl=/opt/isl 
--with-cloog=/opt/cloog
...
configure: WARNING: unrecognized options: --with-gmp, --with-isl, 
--with-cloog


Please, help.. I'm at loss.

Best regards,
Robi



More information about the Gcc-help mailing list